uk.co.mruoc.http.client

## Interface HttpClient

All Known Implementing Classes:
  BaseHttpClient, FakeHttpClient, SimpleHttpClient

    public interface HttpClient

### Method Summary

All Methods Instance Methods Abstract Methods
`Response` `delete(java.lang.String endpoint)`
`Response` `delete(java.lang.String endpoint, Headers headers)`
`Response` `get(java.lang.String endpoint)`
`Response` `get(java.lang.String endpoint, Headers headers)`
`Response` `post(java.lang.String endpoint, java.lang.String entity)`
`Response` `post(java.lang.String endpoint, java.lang.String entity, Headers headers)`
`Response` `put(java.lang.String endpoint, java.lang.String entity)`
`Response` `put(java.lang.String endpoint, java.lang.String entity, Headers headers)`

### Method Detail

#### post

    Response post(java.lang.String endpoint,
                  java.lang.String entity)

#### post

    Response post(java.lang.String endpoint,
                  java.lang.String entity,
                  Headers headers)

#### put

    Response put(java.lang.String endpoint,
                 java.lang.String entity)

#### put

    Response put(java.lang.String endpoint,
                 java.lang.String entity,
                 Headers headers)

#### get

    Response get(java.lang.String endpoint)

#### get

    Response get(java.lang.String endpoint,
                 Headers headers)

#### delete

    Response delete(java.lang.String endpoint)

#### delete

    Response delete(java.lang.String endpoint,
                    Headers headers)